/*
 * Copyright (c) 2015-2016, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 *    * Neither the name of The Linux Foundation nor the names of its
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __ATLAS7_CAN_H__
#define __ATLAS7_CAN_H__

#include <io.h>

/* Registers of CANBUS0 */
#define _CAN0_REG_BASE 0x18800000

#define A7DA_CAN0_MODULE_BASE	_CAN0_REG_BASE

/* Registers of TIMER */
#define A7DA_CANBUS0_INT_STATUS		(_CAN0_REG_BASE + 0x0000)
#define A7DA_CANBUS0_INT_EN		(_CAN0_REG_BASE + 0x0004)
#define A7DA_CANBUS0_RX_STATUS		(_CAN0_REG_BASE + 0x0008)
#define A7DA_CANBUS0_TX_STATUS		(_CAN0_REG_BASE + 0x000C)
#define A7DA_CANBUS0_ERR_STATUS		(_CAN0_REG_BASE + 0x0010)
#define A7DA_CANBUS0_MODE_CTRL		(_CAN0_REG_BASE + 0x0014)
#define A7DA_CANBUS0_CFG_CTRL		(_CAN0_REG_BASE + 0x0018)
#define A7DA_CANBUS0_ERR_CAPTURE	(_CAN0_REG_BASE + 0x001C)
#define A7DA_CANBUS0_TX_BUF0_CTRL	(_CAN0_REG_BASE + 0x0020)
#define A7DA_CANBUS0_TX_BUF0_IDE	(_CAN0_REG_BASE + 0x0024)
#define A7DA_CANBUS0_TX_BUF0_DH		(_CAN0_REG_BASE + 0x0028)
#define A7DA_CANBUS0_TX_BUF0_DL		(_CAN0_REG_BASE + 0x002C)
#define A7DA_CANBUS0_TX_BUF1_CTRL	(_CAN0_REG_BASE + 0x0030)
#define A7DA_CANBUS0_TX_BUF1_IDE	(_CAN0_REG_BASE + 0x0034)
#define A7DA_CANBUS0_TX_BUF1_DH		(_CAN0_REG_BASE + 0x0038)
#define A7DA_CANBUS0_TX_BUF1_DL		(_CAN0_REG_BASE + 0x003C)
#define A7DA_CANBUS0_TX_BUF2_CTRL	(_CAN0_REG_BASE + 0x0040)
#define A7DA_CANBUS0_TX_BUF2_IDE	(_CAN0_REG_BASE + 0x0044)
#define A7DA_CANBUS0_TX_BUF2_DH		(_CAN0_REG_BASE + 0x0048)
#define A7DA_CANBUS0_TX_BUF2_DL		(_CAN0_REG_BASE + 0x004C)
#define A7DA_CANBUS0_TX_BUF3_CTRL	(_CAN0_REG_BASE + 0x0050)
#define A7DA_CANBUS0_TX_BUF3_IDE	(_CAN0_REG_BASE + 0x0054)
#define A7DA_CANBUS0_TX_BUF3_DH		(_CAN0_REG_BASE + 0x0058)
#define A7DA_CANBUS0_TX_BUF3_DL		(_CAN0_REG_BASE + 0x005C)
#define A7DA_CANBUS0_TX_BUF4_CTRL	(_CAN0_REG_BASE + 0x0060)
#define A7DA_CANBUS0_TX_BUF4_IDE	(_CAN0_REG_BASE + 0x0064)
#define A7DA_CANBUS0_TX_BUF4_DH		(_CAN0_REG_BASE + 0x0068)
#define A7DA_CANBUS0_TX_BUF4_DL		(_CAN0_REG_BASE + 0x006C)
#define A7DA_CANBUS0_TX_BUF5_CTRL	(_CAN0_REG_BASE + 0x0070)
#define A7DA_CANBUS0_TX_BUF5_IDE	(_CAN0_REG_BASE + 0x0074)
#define A7DA_CANBUS0_TX_BUF5_DH		(_CAN0_REG_BASE + 0x0078)
#define A7DA_CANBUS0_TX_BUF5_DL		(_CAN0_REG_BASE + 0x007C)
#define A7DA_CANBUS0_TX_BUF6_CTRL	(_CAN0_REG_BASE + 0x0080)
#define A7DA_CANBUS0_TX_BUF6_IDE	(_CAN0_REG_BASE + 0x0084)
#define A7DA_CANBUS0_TX_BUF6_DH		(_CAN0_REG_BASE + 0x0088)
#define A7DA_CANBUS0_TX_BUF6_DL		(_CAN0_REG_BASE + 0x008C)
#define A7DA_CANBUS0_TX_BUF7_CTRL	(_CAN0_REG_BASE + 0x0090)
#define A7DA_CANBUS0_TX_BUF7_IDE	(_CAN0_REG_BASE + 0x0094)
#define A7DA_CANBUS0_TX_BUF7_DH		(_CAN0_REG_BASE + 0x0098)
#define A7DA_CANBUS0_TX_BUF7_DL		(_CAN0_REG_BASE + 0x009C)
#define A7DA_CANBUS0_TX_BUF8_CTRL	(_CAN0_REG_BASE + 0x00A0)
#define A7DA_CANBUS0_TX_BUF8_IDE	(_CAN0_REG_BASE + 0x00A4)
#define A7DA_CANBUS0_TX_BUF8_DH		(_CAN0_REG_BASE + 0x00A8)
#define A7DA_CANBUS0_TX_BUF8_DL		(_CAN0_REG_BASE + 0x00AC)
#define A7DA_CANBUS0_TX_BUF9_CTRL	(_CAN0_REG_BASE + 0x00B0)
#define A7DA_CANBUS0_TX_BUF9_IDE	(_CAN0_REG_BASE + 0x00B4)
#define A7DA_CANBUS0_TX_BUF9_DH		(_CAN0_REG_BASE + 0x00B8)
#define A7DA_CANBUS0_TX_BUF9_DL		(_CAN0_REG_BASE + 0x00BC)
#define A7DA_CANBUS0_TX_BUF10_CTRL	(_CAN0_REG_BASE + 0x00C0)
#define A7DA_CANBUS0_TX_BUF10_IDE	(_CAN0_REG_BASE + 0x00C4)
#define A7DA_CANBUS0_TX_BUF10_DH	(_CAN0_REG_BASE + 0x00C8)
#define A7DA_CANBUS0_TX_BUF10_DL	(_CAN0_REG_BASE + 0x00CC)
#define A7DA_CANBUS0_TX_BUF11_CTRL	(_CAN0_REG_BASE + 0x00D0)
#define A7DA_CANBUS0_TX_BUF11_IDE	(_CAN0_REG_BASE + 0x00D4)
#define A7DA_CANBUS0_TX_BUF11_DH	(_CAN0_REG_BASE + 0x00D8)
#define A7DA_CANBUS0_TX_BUF11_DL	(_CAN0_REG_BASE + 0x00DC)
#define A7DA_CANBUS0_TX_BUF12_CTRL	(_CAN0_REG_BASE + 0x00E0)
#define A7DA_CANBUS0_TX_BUF12_IDE	(_CAN0_REG_BASE + 0x00E4)
#define A7DA_CANBUS0_TX_BUF12_DH	(_CAN0_REG_BASE + 0x00E8)
#define A7DA_CANBUS0_TX_BUF12_DL	(_CAN0_REG_BASE + 0x00EC)
#define A7DA_CANBUS0_TX_BUF13_CTRL	(_CAN0_REG_BASE + 0x00F0)
#define A7DA_CANBUS0_TX_BUF13_IDE	(_CAN0_REG_BASE + 0x00F4)
#define A7DA_CANBUS0_TX_BUF13_DH	(_CAN0_REG_BASE + 0x00F8)
#define A7DA_CANBUS0_TX_BUF13_DL	(_CAN0_REG_BASE + 0x00FC)
#define A7DA_CANBUS0_TX_BUF14_CTRL	(_CAN0_REG_BASE + 0x0100)
#define A7DA_CANBUS0_TX_BUF14_IDE	(_CAN0_REG_BASE + 0x0104)
#define A7DA_CANBUS0_TX_BUF14_DH	(_CAN0_REG_BASE + 0x0108)
#define A7DA_CANBUS0_TX_BUF14_DL	(_CAN0_REG_BASE + 0x010C)
#define A7DA_CANBUS0_TX_BUF15_CTRL	(_CAN0_REG_BASE + 0x0110)
#define A7DA_CANBUS0_TX_BUF15_IDE	(_CAN0_REG_BASE + 0x0114)
#define A7DA_CANBUS0_TX_BUF15_DH	(_CAN0_REG_BASE + 0x0118)
#define A7DA_CANBUS0_TX_BUF15_DL	(_CAN0_REG_BASE + 0x011C)
#define A7DA_CANBUS0_TX_BUF16_CTRL	(_CAN0_REG_BASE + 0x0120)
#define A7DA_CANBUS0_TX_BUF16_IDE	(_CAN0_REG_BASE + 0x0124)
#define A7DA_CANBUS0_TX_BUF16_DH	(_CAN0_REG_BASE + 0x0128)
#define A7DA_CANBUS0_TX_BUF16_DL	(_CAN0_REG_BASE + 0x012C)
#define A7DA_CANBUS0_TX_BUF17_CTRL	(_CAN0_REG_BASE + 0x0130)
#define A7DA_CANBUS0_TX_BUF17_IDE	(_CAN0_REG_BASE + 0x0134)
#define A7DA_CANBUS0_TX_BUF17_DH	(_CAN0_REG_BASE + 0x0138)
#define A7DA_CANBUS0_TX_BUF17_DL	(_CAN0_REG_BASE + 0x013C)
#define A7DA_CANBUS0_TX_BUF18_CTRL	(_CAN0_REG_BASE + 0x0140)
#define A7DA_CANBUS0_TX_BUF18_IDE	(_CAN0_REG_BASE + 0x0144)
#define A7DA_CANBUS0_TX_BUF18_DH	(_CAN0_REG_BASE + 0x0148)
#define A7DA_CANBUS0_TX_BUF18_DL	(_CAN0_REG_BASE + 0x014C)
#define A7DA_CANBUS0_TX_BUF19_CTRL	(_CAN0_REG_BASE + 0x0150)
#define A7DA_CANBUS0_TX_BUF19_IDE	(_CAN0_REG_BASE + 0x0154)
#define A7DA_CANBUS0_TX_BUF19_DH	(_CAN0_REG_BASE + 0x0158)
#define A7DA_CANBUS0_TX_BUF19_DL	(_CAN0_REG_BASE + 0x015C)
#define A7DA_CANBUS0_TX_BUF20_CTRL	(_CAN0_REG_BASE + 0x0160)
#define A7DA_CANBUS0_TX_BUF20_IDE	(_CAN0_REG_BASE + 0x0164)
#define A7DA_CANBUS0_TX_BUF20_DH	(_CAN0_REG_BASE + 0x0168)
#define A7DA_CANBUS0_TX_BUF20_DL	(_CAN0_REG_BASE + 0x016C)
#define A7DA_CANBUS0_TX_BUF21_CTRL	(_CAN0_REG_BASE + 0x0170)
#define A7DA_CANBUS0_TX_BUF21_IDE	(_CAN0_REG_BASE + 0x0174)
#define A7DA_CANBUS0_TX_BUF21_DH	(_CAN0_REG_BASE + 0x0178)
#define A7DA_CANBUS0_TX_BUF21_DL	(_CAN0_REG_BASE + 0x017C)
#define A7DA_CANBUS0_TX_BUF22_CTRL	(_CAN0_REG_BASE + 0x0180)
#define A7DA_CANBUS0_TX_BUF22_IDE	(_CAN0_REG_BASE + 0x0184)
#define A7DA_CANBUS0_TX_BUF22_DH	(_CAN0_REG_BASE + 0x0188)
#define A7DA_CANBUS0_TX_BUF22_DL	(_CAN0_REG_BASE + 0x018C)
#define A7DA_CANBUS0_TX_BUF23_CTRL	(_CAN0_REG_BASE + 0x0190)
#define A7DA_CANBUS0_TX_BUF23_IDE	(_CAN0_REG_BASE + 0x0194)
#define A7DA_CANBUS0_TX_BUF23_DH	(_CAN0_REG_BASE + 0x0198)
#define A7DA_CANBUS0_TX_BUF23_DL	(_CAN0_REG_BASE + 0x019C)
#define A7DA_CANBUS0_TX_BUF24_CTRL	(_CAN0_REG_BASE + 0x01A0)
#define A7DA_CANBUS0_TX_BUF24_IDE	(_CAN0_REG_BASE + 0x01A4)
#define A7DA_CANBUS0_TX_BUF24_DH	(_CAN0_REG_BASE + 0x01A8)
#define A7DA_CANBUS0_TX_BUF24_DL	(_CAN0_REG_BASE + 0x01AC)
#define A7DA_CANBUS0_TX_BUF25_CTRL	(_CAN0_REG_BASE + 0x01B0)
#define A7DA_CANBUS0_TX_BUF25_IDE	(_CAN0_REG_BASE + 0x01B4)
#define A7DA_CANBUS0_TX_BUF25_DH	(_CAN0_REG_BASE + 0x01B8)
#define A7DA_CANBUS0_TX_BUF25_DL	(_CAN0_REG_BASE + 0x01BC)
#define A7DA_CANBUS0_TX_BUF26_CTRL	(_CAN0_REG_BASE + 0x01C0)
#define A7DA_CANBUS0_TX_BUF26_IDE	(_CAN0_REG_BASE + 0x01C4)
#define A7DA_CANBUS0_TX_BUF26_DH	(_CAN0_REG_BASE + 0x01C8)
#define A7DA_CANBUS0_TX_BUF26_DL	(_CAN0_REG_BASE + 0x01CC)
#define A7DA_CANBUS0_TX_BUF27_CTRL	(_CAN0_REG_BASE + 0x01D0)
#define A7DA_CANBUS0_TX_BUF27_IDE	(_CAN0_REG_BASE + 0x01D4)
#define A7DA_CANBUS0_TX_BUF27_DH	(_CAN0_REG_BASE + 0x01D8)
#define A7DA_CANBUS0_TX_BUF27_DL	(_CAN0_REG_BASE + 0x01DC)
#define A7DA_CANBUS0_TX_BUF28_CTRL	(_CAN0_REG_BASE + 0x01E0)
#define A7DA_CANBUS0_TX_BUF28_IDE	(_CAN0_REG_BASE + 0x01E4)
#define A7DA_CANBUS0_TX_BUF28_DH	(_CAN0_REG_BASE + 0x01E8)
#define A7DA_CANBUS0_TX_BUF28_DL	(_CAN0_REG_BASE + 0x01EC)
#define A7DA_CANBUS0_TX_BUF29_CTRL	(_CAN0_REG_BASE + 0x01F0)
#define A7DA_CANBUS0_TX_BUF29_IDE	(_CAN0_REG_BASE + 0x01F4)
#define A7DA_CANBUS0_TX_BUF29_DH	(_CAN0_REG_BASE + 0x01F8)
#define A7DA_CANBUS0_TX_BUF29_DL	(_CAN0_REG_BASE + 0x01FC)
#define A7DA_CANBUS0_TX_BUF30_CTRL	(_CAN0_REG_BASE + 0x0200)
#define A7DA_CANBUS0_TX_BUF30_IDE	(_CAN0_REG_BASE + 0x0204)
#define A7DA_CANBUS0_TX_BUF30_DH	(_CAN0_REG_BASE + 0x0208)
#define A7DA_CANBUS0_TX_BUF30_DL	(_CAN0_REG_BASE + 0x020C)
#define A7DA_CANBUS0_TX_BUF31_CTRL	(_CAN0_REG_BASE + 0x0210)
#define A7DA_CANBUS0_TX_BUF31_IDE	(_CAN0_REG_BASE + 0x0214)
#define A7DA_CANBUS0_TX_BUF31_DH	(_CAN0_REG_BASE + 0x0218)
#define A7DA_CANBUS0_TX_BUF31_DL	(_CAN0_REG_BASE + 0x021C)
#define A7DA_CANBUS0_RX_BUF0_CTRL	(_CAN0_REG_BASE + 0x0220)
#define A7DA_CANBUS0_RX_BUF0_IDE	(_CAN0_REG_BASE + 0x0224)
#define A7DA_CANBUS0_RX_BUF0_DH		(_CAN0_REG_BASE + 0x0228)
#define A7DA_CANBUS0_RX_BUF0_DL		(_CAN0_REG_BASE + 0x022C)
#define A7DA_CANBUS0_RX_BUF0_AMR	(_CAN0_REG_BASE + 0x0230)
#define A7DA_CANBUS0_RX_BUF0_ACR	(_CAN0_REG_BASE + 0x0234)
#define A7DA_CANBUS0_RX_BUF0_AMR_DATA	(_CAN0_REG_BASE + 0x0238)
#define A7DA_CANBUS0_RX_BUF0_ACR_DATA	(_CAN0_REG_BASE + 0x023C)
#define A7DA_CANBUS0_RX_BUF1_CTRL	(_CAN0_REG_BASE + 0x0240)
#define A7DA_CANBUS0_RX_BUF1_IDE	(_CAN0_REG_BASE + 0x0244)
#define A7DA_CANBUS0_RX_BUF1_DH		(_CAN0_REG_BASE + 0x0248)
#define A7DA_CANBUS0_RX_BUF1_DL		(_CAN0_REG_BASE + 0x024C)
#define A7DA_CANBUS0_RX_BUF1_AMR	(_CAN0_REG_BASE + 0x0250)
#define A7DA_CANBUS0_RX_BUF1_ACR	(_CAN0_REG_BASE + 0x0254)
#define A7DA_CANBUS0_RX_BUF1_AMR_DATA	(_CAN0_REG_BASE + 0x0258)
#define A7DA_CANBUS0_RX_BUF1_ACR_DATA	(_CAN0_REG_BASE + 0x025C)
#define A7DA_CANBUS0_RX_BUF2_CTRL	(_CAN0_REG_BASE + 0x0260)
#define A7DA_CANBUS0_RX_BUF2_IDE	(_CAN0_REG_BASE + 0x0264)
#define A7DA_CANBUS0_RX_BUF2_DH		(_CAN0_REG_BASE + 0x0268)
#define A7DA_CANBUS0_RX_BUF2_DL		(_CAN0_REG_BASE + 0x026C)
#define A7DA_CANBUS0_RX_BUF2_AMR	(_CAN0_REG_BASE + 0x0270)
#define A7DA_CANBUS0_RX_BUF2_ACR	(_CAN0_REG_BASE + 0x0274)
#define A7DA_CANBUS0_RX_BUF2_AMR_DATA	(_CAN0_REG_BASE + 0x0278)
#define A7DA_CANBUS0_RX_BUF2_ACR_DATA	(_CAN0_REG_BASE + 0x027C)
#define A7DA_CANBUS0_RX_BUF3_CTRL	(_CAN0_REG_BASE + 0x0280)
#define A7DA_CANBUS0_RX_BUF3_IDE	(_CAN0_REG_BASE + 0x0284)
#define A7DA_CANBUS0_RX_BUF3_DH		(_CAN0_REG_BASE + 0x0288)
#define A7DA_CANBUS0_RX_BUF3_DL		(_CAN0_REG_BASE + 0x028C)
#define A7DA_CANBUS0_RX_BUF3_AMR	(_CAN0_REG_BASE + 0x0290)
#define A7DA_CANBUS0_RX_BUF3_ACR	(_CAN0_REG_BASE + 0x0294)
#define A7DA_CANBUS0_RX_BUF3_AMR_DATA	(_CAN0_REG_BASE + 0x0298)
#define A7DA_CANBUS0_RX_BUF3_ACR_DATA	(_CAN0_REG_BASE + 0x029C)
#define A7DA_CANBUS0_RX_BUF4_CTRL	(_CAN0_REG_BASE + 0x02A0)
#define A7DA_CANBUS0_RX_BUF4_IDE	(_CAN0_REG_BASE + 0x02A4)
#define A7DA_CANBUS0_RX_BUF4_DH		(_CAN0_REG_BASE + 0x02A8)
#define A7DA_CANBUS0_RX_BUF4_DL		(_CAN0_REG_BASE + 0x02AC)
#define A7DA_CANBUS0_RX_BUF4_AMR	(_CAN0_REG_BASE + 0x02B0)
#define A7DA_CANBUS0_RX_BUF4_ACR	(_CAN0_REG_BASE + 0x02B4)
#define A7DA_CANBUS0_RX_BUF4_AMR_DATA	(_CAN0_REG_BASE + 0x02B8)
#define A7DA_CANBUS0_RX_BUF4_ACR_DATA	(_CAN0_REG_BASE + 0x02BC)
#define A7DA_CANBUS0_RX_BUF5_CTRL	(_CAN0_REG_BASE + 0x02C0)
#define A7DA_CANBUS0_RX_BUF5_IDE	(_CAN0_REG_BASE + 0x02C4)
#define A7DA_CANBUS0_RX_BUF5_DH		(_CAN0_REG_BASE + 0x02C8)
#define A7DA_CANBUS0_RX_BUF5_DL		(_CAN0_REG_BASE + 0x02CC)
#define A7DA_CANBUS0_RX_BUF5_AMR	(_CAN0_REG_BASE + 0x02D0)
#define A7DA_CANBUS0_RX_BUF5_ACR	(_CAN0_REG_BASE + 0x02D4)
#define A7DA_CANBUS0_RX_BUF5_AMR_DATA	(_CAN0_REG_BASE + 0x02D8)
#define A7DA_CANBUS0_RX_BUF5_ACR_DATA	(_CAN0_REG_BASE + 0x02DC)
#define A7DA_CANBUS0_RX_BUF6_CTRL	(_CAN0_REG_BASE + 0x02E0)
#define A7DA_CANBUS0_RX_BUF6_IDE	(_CAN0_REG_BASE + 0x02E4)
#define A7DA_CANBUS0_RX_BUF6_DH		(_CAN0_REG_BASE + 0x02E8)
#define A7DA_CANBUS0_RX_BUF6_DL		(_CAN0_REG_BASE + 0x02EC)
#define A7DA_CANBUS0_RX_BUF6_AMR	(_CAN0_REG_BASE + 0x02F0)
#define A7DA_CANBUS0_RX_BUF6_ACR	(_CAN0_REG_BASE + 0x02F4)
#define A7DA_CANBUS0_RX_BUF6_AMR_DATA	(_CAN0_REG_BASE + 0x02F8)
#define A7DA_CANBUS0_RX_BUF6_ACR_DATA	(_CAN0_REG_BASE + 0x02FC)
#define A7DA_CANBUS0_RX_BUF7_CTRL	(_CAN0_REG_BASE + 0x0300)
#define A7DA_CANBUS0_RX_BUF7_IDE	(_CAN0_REG_BASE + 0x0304)
#define A7DA_CANBUS0_RX_BUF7_DH		(_CAN0_REG_BASE + 0x0308)
#define A7DA_CANBUS0_RX_BUF7_DL		(_CAN0_REG_BASE + 0x030C)
#define A7DA_CANBUS0_RX_BUF7_AMR	(_CAN0_REG_BASE + 0x0310)
#define A7DA_CANBUS0_RX_BUF7_ACR	(_CAN0_REG_BASE + 0x0314)
#define A7DA_CANBUS0_RX_BUF7_AMR_DATA	(_CAN0_REG_BASE + 0x0318)
#define A7DA_CANBUS0_RX_BUF7_ACR_DATA	(_CAN0_REG_BASE + 0x031C)
#define A7DA_CANBUS0_RX_BUF8_CTRL	(_CAN0_REG_BASE + 0x0320)
#define A7DA_CANBUS0_RX_BUF8_IDE	(_CAN0_REG_BASE + 0x0324)
#define A7DA_CANBUS0_RX_BUF8_DH		(_CAN0_REG_BASE + 0x0328)
#define A7DA_CANBUS0_RX_BUF8_DL		(_CAN0_REG_BASE + 0x032C)
#define A7DA_CANBUS0_RX_BUF8_AMR	(_CAN0_REG_BASE + 0x0330)
#define A7DA_CANBUS0_RX_BUF8_ACR	(_CAN0_REG_BASE + 0x0334)
#define A7DA_CANBUS0_RX_BUF8_AMR_DATA	(_CAN0_REG_BASE + 0x0338)
#define A7DA_CANBUS0_RX_BUF8_ACR_DATA	(_CAN0_REG_BASE + 0x033C)
#define A7DA_CANBUS0_RX_BUF9_CTRL	(_CAN0_REG_BASE + 0x0340)
#define A7DA_CANBUS0_RX_BUF9_IDE	(_CAN0_REG_BASE + 0x0344)
#define A7DA_CANBUS0_RX_BUF9_DH		(_CAN0_REG_BASE + 0x0348)
#define A7DA_CANBUS0_RX_BUF9_DL		(_CAN0_REG_BASE + 0x034C)
#define A7DA_CANBUS0_RX_BUF9_AMR	(_CAN0_REG_BASE + 0x0350)
#define A7DA_CANBUS0_RX_BUF9_ACR	(_CAN0_REG_BASE + 0x0354)
#define A7DA_CANBUS0_RX_BUF9_AMR_DATA	(_CAN0_REG_BASE + 0x0358)
#define A7DA_CANBUS0_RX_BUF9_ACR_DATA	(_CAN0_REG_BASE + 0x035C)
#define A7DA_CANBUS0_RX_BUF10_CTRL	(_CAN0_REG_BASE + 0x0360)
#define A7DA_CANBUS0_RX_BUF10_IDE	(_CAN0_REG_BASE + 0x0364)
#define A7DA_CANBUS0_RX_BUF10_DH	(_CAN0_REG_BASE + 0x0368)
#define A7DA_CANBUS0_RX_BUF10_DL	(_CAN0_REG_BASE + 0x036C)
#define A7DA_CANBUS0_RX_BUF10_AMR	(_CAN0_REG_BASE + 0x0370)
#define A7DA_CANBUS0_RX_BUF10_ACR	(_CAN0_REG_BASE + 0x0374)
#define A7DA_CANBUS0_RX_BUF10_AMR_DATA	(_CAN0_REG_BASE + 0x0378)
#define A7DA_CANBUS0_RX_BUF10_ACR_DATA	(_CAN0_REG_BASE + 0x037C)
#define A7DA_CANBUS0_RX_BUF11_CTRL	(_CAN0_REG_BASE + 0x0380)
#define A7DA_CANBUS0_RX_BUF11_IDE	(_CAN0_REG_BASE + 0x0384)
#define A7DA_CANBUS0_RX_BUF11_DH	(_CAN0_REG_BASE + 0x0388)
#define A7DA_CANBUS0_RX_BUF11_DL	(_CAN0_REG_BASE + 0x038C)
#define A7DA_CANBUS0_RX_BUF11_AMR	(_CAN0_REG_BASE + 0x0390)
#define A7DA_CANBUS0_RX_BUF11_ACR	(_CAN0_REG_BASE + 0x0394)
#define A7DA_CANBUS0_RX_BUF11_AMR_DATA	(_CAN0_REG_BASE + 0x0398)
#define A7DA_CANBUS0_RX_BUF11_ACR_DATA	(_CAN0_REG_BASE + 0x039C)
#define A7DA_CANBUS0_RX_BUF12_CTRL	(_CAN0_REG_BASE + 0x03A0)
#define A7DA_CANBUS0_RX_BUF12_IDE	(_CAN0_REG_BASE + 0x03A4)
#define A7DA_CANBUS0_RX_BUF12_DH	(_CAN0_REG_BASE + 0x03A8)
#define A7DA_CANBUS0_RX_BUF12_DL	(_CAN0_REG_BASE + 0x03AC)
#define A7DA_CANBUS0_RX_BUF12_AMR	(_CAN0_REG_BASE + 0x03B0)
#define A7DA_CANBUS0_RX_BUF12_ACR	(_CAN0_REG_BASE + 0x03B4)
#define A7DA_CANBUS0_RX_BUF12_AMR_DATA	(_CAN0_REG_BASE + 0x03B8)
#define A7DA_CANBUS0_RX_BUF12_ACR_DATA	(_CAN0_REG_BASE + 0x03BC)
#define A7DA_CANBUS0_RX_BUF13_CTRL	(_CAN0_REG_BASE + 0x03C0)
#define A7DA_CANBUS0_RX_BUF13_IDE	(_CAN0_REG_BASE + 0x03C4)
#define A7DA_CANBUS0_RX_BUF13_DH	(_CAN0_REG_BASE + 0x03C8)
#define A7DA_CANBUS0_RX_BUF13_DL	(_CAN0_REG_BASE + 0x03CC)
#define A7DA_CANBUS0_RX_BUF13_AMR	(_CAN0_REG_BASE + 0x03D0)
#define A7DA_CANBUS0_RX_BUF13_ACR	(_CAN0_REG_BASE + 0x03D4)
#define A7DA_CANBUS0_RX_BUF13_AMR_DATA	(_CAN0_REG_BASE + 0x03D8)
#define A7DA_CANBUS0_RX_BUF13_ACR_DATA	(_CAN0_REG_BASE + 0x03DC)
#define A7DA_CANBUS0_RX_BUF14_CTRL	(_CAN0_REG_BASE + 0x03E0)
#define A7DA_CANBUS0_RX_BUF14_IDE	(_CAN0_REG_BASE + 0x03E4)
#define A7DA_CANBUS0_RX_BUF14_DH	(_CAN0_REG_BASE + 0x03E8)
#define A7DA_CANBUS0_RX_BUF14_DL	(_CAN0_REG_BASE + 0x03EC)
#define A7DA_CANBUS0_RX_BUF14_AMR	(_CAN0_REG_BASE + 0x03F0)
#define A7DA_CANBUS0_RX_BUF14_ACR	(_CAN0_REG_BASE + 0x03F4)
#define A7DA_CANBUS0_RX_BUF14_AMR_DATA	(_CAN0_REG_BASE + 0x03F8)
#define A7DA_CANBUS0_RX_BUF14_ACR_DATA	(_CAN0_REG_BASE + 0x03FC)
#define A7DA_CANBUS0_RX_BUF15_CTRL	(_CAN0_REG_BASE + 0x0400)
#define A7DA_CANBUS0_RX_BUF15_IDE	(_CAN0_REG_BASE + 0x0404)
#define A7DA_CANBUS0_RX_BUF15_DH	(_CAN0_REG_BASE + 0x0408)
#define A7DA_CANBUS0_RX_BUF15_DL	(_CAN0_REG_BASE + 0x040C)
#define A7DA_CANBUS0_RX_BUF15_AMR	(_CAN0_REG_BASE + 0x0410)
#define A7DA_CANBUS0_RX_BUF15_ACR	(_CAN0_REG_BASE + 0x0414)
#define A7DA_CANBUS0_RX_BUF15_AMR_DATA	(_CAN0_REG_BASE + 0x0418)
#define A7DA_CANBUS0_RX_BUF15_ACR_DATA	(_CAN0_REG_BASE + 0x041C)
#define A7DA_CANBUS0_RX_BUF16_CTRL	(_CAN0_REG_BASE + 0x0420)
#define A7DA_CANBUS0_RX_BUF16_IDE	(_CAN0_REG_BASE + 0x0424)
#define A7DA_CANBUS0_RX_BUF16_DH	(_CAN0_REG_BASE + 0x0428)
#define A7DA_CANBUS0_RX_BUF16_DL	(_CAN0_REG_BASE + 0x042C)
#define A7DA_CANBUS0_RX_BUF16_AMR	(_CAN0_REG_BASE + 0x0430)
#define A7DA_CANBUS0_RX_BUF16_ACR	(_CAN0_REG_BASE + 0x0434)
#define A7DA_CANBUS0_RX_BUF16_AMR_DATA	(_CAN0_REG_BASE + 0x0438)
#define A7DA_CANBUS0_RX_BUF16_ACR_DATA	(_CAN0_REG_BASE + 0x043C)
#define A7DA_CANBUS0_RX_BUF17_CTRL	(_CAN0_REG_BASE + 0x0440)
#define A7DA_CANBUS0_RX_BUF17_IDE	(_CAN0_REG_BASE + 0x0444)
#define A7DA_CANBUS0_RX_BUF17_DH	(_CAN0_REG_BASE + 0x0448)
#define A7DA_CANBUS0_RX_BUF17_DL	(_CAN0_REG_BASE + 0x044C)
#define A7DA_CANBUS0_RX_BUF17_AMR	(_CAN0_REG_BASE + 0x0450)
#define A7DA_CANBUS0_RX_BUF17_ACR	(_CAN0_REG_BASE + 0x0454)
#define A7DA_CANBUS0_RX_BUF17_AMR_DATA	(_CAN0_REG_BASE + 0x0458)
#define A7DA_CANBUS0_RX_BUF17_ACR_DATA	(_CAN0_REG_BASE + 0x045C)
#define A7DA_CANBUS0_RX_BUF18_CTRL	(_CAN0_REG_BASE + 0x0460)
#define A7DA_CANBUS0_RX_BUF18_IDE	(_CAN0_REG_BASE + 0x0464)
#define A7DA_CANBUS0_RX_BUF18_DH	(_CAN0_REG_BASE + 0x0468)
#define A7DA_CANBUS0_RX_BUF18_DL	(_CAN0_REG_BASE + 0x046C)
#define A7DA_CANBUS0_RX_BUF18_AMR	(_CAN0_REG_BASE + 0x0470)
#define A7DA_CANBUS0_RX_BUF18_ACR	(_CAN0_REG_BASE + 0x0474)
#define A7DA_CANBUS0_RX_BUF18_AMR_DATA	(_CAN0_REG_BASE + 0x0478)
#define A7DA_CANBUS0_RX_BUF18_ACR_DATA	(_CAN0_REG_BASE + 0x047C)
#define A7DA_CANBUS0_RX_BUF19_CTRL	(_CAN0_REG_BASE + 0x0480)
#define A7DA_CANBUS0_RX_BUF19_IDE	(_CAN0_REG_BASE + 0x0484)
#define A7DA_CANBUS0_RX_BUF19_DH	(_CAN0_REG_BASE + 0x0488)
#define A7DA_CANBUS0_RX_BUF19_DL	(_CAN0_REG_BASE + 0x048C)
#define A7DA_CANBUS0_RX_BUF19_AMR	(_CAN0_REG_BASE + 0x0490)
#define A7DA_CANBUS0_RX_BUF19_ACR	(_CAN0_REG_BASE + 0x0494)
#define A7DA_CANBUS0_RX_BUF19_AMR_DATA	(_CAN0_REG_BASE + 0x0498)
#define A7DA_CANBUS0_RX_BUF19_ACR_DATA	(_CAN0_REG_BASE + 0x049C)
#define A7DA_CANBUS0_RX_BUF20_CTRL	(_CAN0_REG_BASE + 0x04A0)
#define A7DA_CANBUS0_RX_BUF20_IDE	(_CAN0_REG_BASE + 0x04A4)
#define A7DA_CANBUS0_RX_BUF20_DH	(_CAN0_REG_BASE + 0x04A8)
#define A7DA_CANBUS0_RX_BUF20_DL	(_CAN0_REG_BASE + 0x04AC)
#define A7DA_CANBUS0_RX_BUF20_AMR	(_CAN0_REG_BASE + 0x04B0)
#define A7DA_CANBUS0_RX_BUF20_ACR	(_CAN0_REG_BASE + 0x04B4)
#define A7DA_CANBUS0_RX_BUF20_AMR_DATA	(_CAN0_REG_BASE + 0x04B8)
#define A7DA_CANBUS0_RX_BUF20_ACR_DATA	(_CAN0_REG_BASE + 0x04BC)
#define A7DA_CANBUS0_RX_BUF21_CTRL	(_CAN0_REG_BASE + 0x04C0)
#define A7DA_CANBUS0_RX_BUF21_IDE	(_CAN0_REG_BASE + 0x04C4)
#define A7DA_CANBUS0_RX_BUF21_DH	(_CAN0_REG_BASE + 0x04C8)
#define A7DA_CANBUS0_RX_BUF21_DL	(_CAN0_REG_BASE + 0x04CC)
#define A7DA_CANBUS0_RX_BUF21_AMR	(_CAN0_REG_BASE + 0x04D0)
#define A7DA_CANBUS0_RX_BUF21_ACR	(_CAN0_REG_BASE + 0x04D4)
#define A7DA_CANBUS0_RX_BUF21_AMR_DATA	(_CAN0_REG_BASE + 0x04D8)
#define A7DA_CANBUS0_RX_BUF21_ACR_DATA	(_CAN0_REG_BASE + 0x04DC)
#define A7DA_CANBUS0_RX_BUF22_CTRL	(_CAN0_REG_BASE + 0x04E0)
#define A7DA_CANBUS0_RX_BUF22_IDE	(_CAN0_REG_BASE + 0x04E4)
#define A7DA_CANBUS0_RX_BUF22_DH	(_CAN0_REG_BASE + 0x04E8)
#define A7DA_CANBUS0_RX_BUF22_DL	(_CAN0_REG_BASE + 0x04EC)
#define A7DA_CANBUS0_RX_BUF22_AMR	(_CAN0_REG_BASE + 0x04F0)
#define A7DA_CANBUS0_RX_BUF22_ACR	(_CAN0_REG_BASE + 0x04F4)
#define A7DA_CANBUS0_RX_BUF22_AMR_DATA	(_CAN0_REG_BASE + 0x04F8)
#define A7DA_CANBUS0_RX_BUF22_ACR_DATA	(_CAN0_REG_BASE + 0x04FC)
#define A7DA_CANBUS0_RX_BUF23_CTRL	(_CAN0_REG_BASE + 0x0500)
#define A7DA_CANBUS0_RX_BUF23_IDE	(_CAN0_REG_BASE + 0x0504)
#define A7DA_CANBUS0_RX_BUF23_DH	(_CAN0_REG_BASE + 0x0508)
#define A7DA_CANBUS0_RX_BUF23_DL	(_CAN0_REG_BASE + 0x050C)
#define A7DA_CANBUS0_RX_BUF23_AMR	(_CAN0_REG_BASE + 0x0510)
#define A7DA_CANBUS0_RX_BUF23_ACR	(_CAN0_REG_BASE + 0x0514)
#define A7DA_CANBUS0_RX_BUF23_AMR_DATA	(_CAN0_REG_BASE + 0x0518)
#define A7DA_CANBUS0_RX_BUF23_ACR_DATA	(_CAN0_REG_BASE + 0x051C)
#define A7DA_CANBUS0_RX_BUF24_CTRL	(_CAN0_REG_BASE + 0x0520)
#define A7DA_CANBUS0_RX_BUF24_IDE	(_CAN0_REG_BASE + 0x0524)
#define A7DA_CANBUS0_RX_BUF24_DH	(_CAN0_REG_BASE + 0x0528)
#define A7DA_CANBUS0_RX_BUF24_DL	(_CAN0_REG_BASE + 0x052C)
#define A7DA_CANBUS0_RX_BUF24_AMR	(_CAN0_REG_BASE + 0x0530)
#define A7DA_CANBUS0_RX_BUF24_ACR	(_CAN0_REG_BASE + 0x0534)
#define A7DA_CANBUS0_RX_BUF24_AMR_DATA	(_CAN0_REG_BASE + 0x0538)
#define A7DA_CANBUS0_RX_BUF24_ACR_DATA	(_CAN0_REG_BASE + 0x053C)
#define A7DA_CANBUS0_RX_BUF25_CTRL	(_CAN0_REG_BASE + 0x0540)
#define A7DA_CANBUS0_RX_BUF25_IDE	(_CAN0_REG_BASE + 0x0544)
#define A7DA_CANBUS0_RX_BUF25_DH	(_CAN0_REG_BASE + 0x0548)
#define A7DA_CANBUS0_RX_BUF25_DL	(_CAN0_REG_BASE + 0x054C)
#define A7DA_CANBUS0_RX_BUF25_AMR	(_CAN0_REG_BASE + 0x0550)
#define A7DA_CANBUS0_RX_BUF25_ACR	(_CAN0_REG_BASE + 0x0554)
#define A7DA_CANBUS0_RX_BUF25_AMR_DATA	(_CAN0_REG_BASE + 0x0558)
#define A7DA_CANBUS0_RX_BUF25_ACR_DATA	(_CAN0_REG_BASE + 0x055C)
#define A7DA_CANBUS0_RX_BUF26_CTRL	(_CAN0_REG_BASE + 0x0560)
#define A7DA_CANBUS0_RX_BUF26_IDE	(_CAN0_REG_BASE + 0x0564)
#define A7DA_CANBUS0_RX_BUF26_DH	(_CAN0_REG_BASE + 0x0568)
#define A7DA_CANBUS0_RX_BUF26_DL	(_CAN0_REG_BASE + 0x056C)
#define A7DA_CANBUS0_RX_BUF26_AMR	(_CAN0_REG_BASE + 0x0570)
#define A7DA_CANBUS0_RX_BUF26_ACR	(_CAN0_REG_BASE + 0x0574)
#define A7DA_CANBUS0_RX_BUF26_AMR_DATA	(_CAN0_REG_BASE + 0x0578)
#define A7DA_CANBUS0_RX_BUF26_ACR_DATA	(_CAN0_REG_BASE + 0x057C)
#define A7DA_CANBUS0_RX_BUF27_CTRL	(_CAN0_REG_BASE + 0x0580)
#define A7DA_CANBUS0_RX_BUF27_IDE	(_CAN0_REG_BASE + 0x0584)
#define A7DA_CANBUS0_RX_BUF27_DH	(_CAN0_REG_BASE + 0x0588)
#define A7DA_CANBUS0_RX_BUF27_DL	(_CAN0_REG_BASE + 0x058C)
#define A7DA_CANBUS0_RX_BUF27_AMR	(_CAN0_REG_BASE + 0x0590)
#define A7DA_CANBUS0_RX_BUF27_ACR	(_CAN0_REG_BASE + 0x0594)
#define A7DA_CANBUS0_RX_BUF27_AMR_DATA	(_CAN0_REG_BASE + 0x0598)
#define A7DA_CANBUS0_RX_BUF27_ACR_DATA	(_CAN0_REG_BASE + 0x059C)
#define A7DA_CANBUS0_RX_BUF28_CTRL	(_CAN0_REG_BASE + 0x05A0)
#define A7DA_CANBUS0_RX_BUF28_IDE	(_CAN0_REG_BASE + 0x05A4)
#define A7DA_CANBUS0_RX_BUF28_DH	(_CAN0_REG_BASE + 0x05A8)
#define A7DA_CANBUS0_RX_BUF28_DL	(_CAN0_REG_BASE + 0x05AC)
#define A7DA_CANBUS0_RX_BUF28_AMR	(_CAN0_REG_BASE + 0x05B0)
#define A7DA_CANBUS0_RX_BUF28_ACR	(_CAN0_REG_BASE + 0x05B4)
#define A7DA_CANBUS0_RX_BUF28_AMR_DATA	(_CAN0_REG_BASE + 0x05B8)
#define A7DA_CANBUS0_RX_BUF28_ACR_DATA	(_CAN0_REG_BASE + 0x05BC)
#define A7DA_CANBUS0_RX_BUF29_CTRL	(_CAN0_REG_BASE + 0x05C0)
#define A7DA_CANBUS0_RX_BUF29_IDE	(_CAN0_REG_BASE + 0x05C4)
#define A7DA_CANBUS0_RX_BUF29_DH	(_CAN0_REG_BASE + 0x05C8)
#define A7DA_CANBUS0_RX_BUF29_DL	(_CAN0_REG_BASE + 0x05CC)
#define A7DA_CANBUS0_RX_BUF29_AMR	(_CAN0_REG_BASE + 0x05D0)
#define A7DA_CANBUS0_RX_BUF29_ACR	(_CAN0_REG_BASE + 0x05D4)
#define A7DA_CANBUS0_RX_BUF29_AMR_DATA	(_CAN0_REG_BASE + 0x05D8)
#define A7DA_CANBUS0_RX_BUF29_ACR_DATA	(_CAN0_REG_BASE + 0x05DC)
#define A7DA_CANBUS0_RX_BUF30_CTRL	(_CAN0_REG_BASE + 0x05E0)
#define A7DA_CANBUS0_RX_BUF30_IDE	(_CAN0_REG_BASE + 0x05E4)
#define A7DA_CANBUS0_RX_BUF30_DH	(_CAN0_REG_BASE + 0x05E8)
#define A7DA_CANBUS0_RX_BUF30_DL	(_CAN0_REG_BASE + 0x05EC)
#define A7DA_CANBUS0_RX_BUF30_AMR	(_CAN0_REG_BASE + 0x05F0)
#define A7DA_CANBUS0_RX_BUF30_ACR	(_CAN0_REG_BASE + 0x05F4)
#define A7DA_CANBUS0_RX_BUF30_AMR_DATA	(_CAN0_REG_BASE + 0x05F8)
#define A7DA_CANBUS0_RX_BUF30_ACR_DATA	(_CAN0_REG_BASE + 0x05FC)
#define A7DA_CANBUS0_RX_BUF31_CTRL	(_CAN0_REG_BASE + 0x0600)
#define A7DA_CANBUS0_RX_BUF31_IDE	(_CAN0_REG_BASE + 0x0604)
#define A7DA_CANBUS0_RX_BUF31_DH	(_CAN0_REG_BASE + 0x0608)
#define A7DA_CANBUS0_RX_BUF31_DL	(_CAN0_REG_BASE + 0x060C)
#define A7DA_CANBUS0_RX_BUF31_AMR	(_CAN0_REG_BASE + 0x0610)
#define A7DA_CANBUS0_RX_BUF31_ACR	(_CAN0_REG_BASE + 0x0614)
#define A7DA_CANBUS0_RX_BUF31_AMR_DATA	(_CAN0_REG_BASE + 0x0618)
#define A7DA_CANBUS0_RX_BUF31_ACR_DATA	(_CAN0_REG_BASE + 0x061C)


/* Registers of CANBUS1 */
#define _CAN1_REG_BASE 0x180A0000

#define A7DA_CAN1_MODULE_BASE	_CAN1_REG_BASE

#define A7DA_CANBUS1_INT_STATUS		(_CAN1_REG_BASE + 0x0000)
#define A7DA_CANBUS1_INT_EN		(_CAN1_REG_BASE + 0x0004)
#define A7DA_CANBUS1_RX_STATUS		(_CAN1_REG_BASE + 0x0008)
#define A7DA_CANBUS1_TX_STATUS		(_CAN1_REG_BASE + 0x000C)
#define A7DA_CANBUS1_ERR_STATUS		(_CAN1_REG_BASE + 0x0010)
#define A7DA_CANBUS1_MODE_CTRL		(_CAN1_REG_BASE + 0x0014)
#define A7DA_CANBUS1_CFG_CTRL		(_CAN1_REG_BASE + 0x0018)
#define A7DA_CANBUS1_ERR_CAPTURE	(_CAN1_REG_BASE + 0x001C)
#define A7DA_CANBUS1_TX_BUF0_CTRL	(_CAN1_REG_BASE + 0x0020)
#define A7DA_CANBUS1_TX_BUF0_IDE	(_CAN1_REG_BASE + 0x0024)
#define A7DA_CANBUS1_TX_BUF0_DH		(_CAN1_REG_BASE + 0x0028)
#define A7DA_CANBUS1_TX_BUF0_DL		(_CAN1_REG_BASE + 0x002C)
#define A7DA_CANBUS1_TX_BUF1_CTRL	(_CAN1_REG_BASE + 0x0030)
#define A7DA_CANBUS1_TX_BUF1_IDE	(_CAN1_REG_BASE + 0x0034)
#define A7DA_CANBUS1_TX_BUF1_DH		(_CAN1_REG_BASE + 0x0038)
#define A7DA_CANBUS1_TX_BUF1_DL		(_CAN1_REG_BASE + 0x003C)
#define A7DA_CANBUS1_TX_BUF2_CTRL	(_CAN1_REG_BASE + 0x0040)
#define A7DA_CANBUS1_TX_BUF2_IDE	(_CAN1_REG_BASE + 0x0044)
#define A7DA_CANBUS1_TX_BUF2_DH		(_CAN1_REG_BASE + 0x0048)
#define A7DA_CANBUS1_TX_BUF2_DL		(_CAN1_REG_BASE + 0x004C)
#define A7DA_CANBUS1_TX_BUF3_CTRL	(_CAN1_REG_BASE + 0x0050)
#define A7DA_CANBUS1_TX_BUF3_IDE	(_CAN1_REG_BASE + 0x0054)
#define A7DA_CANBUS1_TX_BUF3_DH		(_CAN1_REG_BASE + 0x0058)
#define A7DA_CANBUS1_TX_BUF3_DL		(_CAN1_REG_BASE + 0x005C)
#define A7DA_CANBUS1_TX_BUF4_CTRL	(_CAN1_REG_BASE + 0x0060)
#define A7DA_CANBUS1_TX_BUF4_IDE	(_CAN1_REG_BASE + 0x0064)
#define A7DA_CANBUS1_TX_BUF4_DH		(_CAN1_REG_BASE + 0x0068)
#define A7DA_CANBUS1_TX_BUF4_DL		(_CAN1_REG_BASE + 0x006C)
#define A7DA_CANBUS1_TX_BUF5_CTRL	(_CAN1_REG_BASE + 0x0070)
#define A7DA_CANBUS1_TX_BUF5_IDE	(_CAN1_REG_BASE + 0x0074)
#define A7DA_CANBUS1_TX_BUF5_DH		(_CAN1_REG_BASE + 0x0078)
#define A7DA_CANBUS1_TX_BUF5_DL		(_CAN1_REG_BASE + 0x007C)
#define A7DA_CANBUS1_TX_BUF6_CTRL	(_CAN1_REG_BASE + 0x0080)
#define A7DA_CANBUS1_TX_BUF6_IDE	(_CAN1_REG_BASE + 0x0084)
#define A7DA_CANBUS1_TX_BUF6_DH		(_CAN1_REG_BASE + 0x0088)
#define A7DA_CANBUS1_TX_BUF6_DL		(_CAN1_REG_BASE + 0x008C)
#define A7DA_CANBUS1_TX_BUF7_CTRL	(_CAN1_REG_BASE + 0x0090)
#define A7DA_CANBUS1_TX_BUF7_IDE	(_CAN1_REG_BASE + 0x0094)
#define A7DA_CANBUS1_TX_BUF7_DH		(_CAN1_REG_BASE + 0x0098)
#define A7DA_CANBUS1_TX_BUF7_DL		(_CAN1_REG_BASE + 0x009C)
#define A7DA_CANBUS1_TX_BUF8_CTRL	(_CAN1_REG_BASE + 0x00A0)
#define A7DA_CANBUS1_TX_BUF8_IDE	(_CAN1_REG_BASE + 0x00A4)
#define A7DA_CANBUS1_TX_BUF8_DH		(_CAN1_REG_BASE + 0x00A8)
#define A7DA_CANBUS1_TX_BUF8_DL		(_CAN1_REG_BASE + 0x00AC)
#define A7DA_CANBUS1_TX_BUF9_CTRL	(_CAN1_REG_BASE + 0x00B0)
#define A7DA_CANBUS1_TX_BUF9_IDE	(_CAN1_REG_BASE + 0x00B4)
#define A7DA_CANBUS1_TX_BUF9_DH		(_CAN1_REG_BASE + 0x00B8)
#define A7DA_CANBUS1_TX_BUF9_DL		(_CAN1_REG_BASE + 0x00BC)
#define A7DA_CANBUS1_TX_BUF10_CTRL	(_CAN1_REG_BASE + 0x00C0)
#define A7DA_CANBUS1_TX_BUF10_IDE	(_CAN1_REG_BASE + 0x00C4)
#define A7DA_CANBUS1_TX_BUF10_DH	(_CAN1_REG_BASE + 0x00C8)
#define A7DA_CANBUS1_TX_BUF10_DL	(_CAN1_REG_BASE + 0x00CC)
#define A7DA_CANBUS1_TX_BUF11_CTRL	(_CAN1_REG_BASE + 0x00D0)
#define A7DA_CANBUS1_TX_BUF11_IDE	(_CAN1_REG_BASE + 0x00D4)
#define A7DA_CANBUS1_TX_BUF11_DH	(_CAN1_REG_BASE + 0x00D8)
#define A7DA_CANBUS1_TX_BUF11_DL	(_CAN1_REG_BASE + 0x00DC)
#define A7DA_CANBUS1_TX_BUF12_CTRL	(_CAN1_REG_BASE + 0x00E0)
#define A7DA_CANBUS1_TX_BUF12_IDE	(_CAN1_REG_BASE + 0x00E4)
#define A7DA_CANBUS1_TX_BUF12_DH	(_CAN1_REG_BASE + 0x00E8)
#define A7DA_CANBUS1_TX_BUF12_DL	(_CAN1_REG_BASE + 0x00EC)
#define A7DA_CANBUS1_TX_BUF13_CTRL	(_CAN1_REG_BASE + 0x00F0)
#define A7DA_CANBUS1_TX_BUF13_IDE	(_CAN1_REG_BASE + 0x00F4)
#define A7DA_CANBUS1_TX_BUF13_DH	(_CAN1_REG_BASE + 0x00F8)
#define A7DA_CANBUS1_TX_BUF13_DL	(_CAN1_REG_BASE + 0x00FC)
#define A7DA_CANBUS1_TX_BUF14_CTRL	(_CAN1_REG_BASE + 0x0100)
#define A7DA_CANBUS1_TX_BUF14_IDE	(_CAN1_REG_BASE + 0x0104)
#define A7DA_CANBUS1_TX_BUF14_DH	(_CAN1_REG_BASE + 0x0108)
#define A7DA_CANBUS1_TX_BUF14_DL	(_CAN1_REG_BASE + 0x010C)
#define A7DA_CANBUS1_TX_BUF15_CTRL	(_CAN1_REG_BASE + 0x0110)
#define A7DA_CANBUS1_TX_BUF15_IDE	(_CAN1_REG_BASE + 0x0114)
#define A7DA_CANBUS1_TX_BUF15_DH	(_CAN1_REG_BASE + 0x0118)
#define A7DA_CANBUS1_TX_BUF15_DL	(_CAN1_REG_BASE + 0x011C)
#define A7DA_CANBUS1_TX_BUF16_CTRL	(_CAN1_REG_BASE + 0x0120)
#define A7DA_CANBUS1_TX_BUF16_IDE	(_CAN1_REG_BASE + 0x0124)
#define A7DA_CANBUS1_TX_BUF16_DH	(_CAN1_REG_BASE + 0x0128)
#define A7DA_CANBUS1_TX_BUF16_DL	(_CAN1_REG_BASE + 0x012C)
#define A7DA_CANBUS1_TX_BUF17_CTRL	(_CAN1_REG_BASE + 0x0130)
#define A7DA_CANBUS1_TX_BUF17_IDE	(_CAN1_REG_BASE + 0x0134)
#define A7DA_CANBUS1_TX_BUF17_DH	(_CAN1_REG_BASE + 0x0138)
#define A7DA_CANBUS1_TX_BUF17_DL	(_CAN1_REG_BASE + 0x013C)
#define A7DA_CANBUS1_TX_BUF18_CTRL	(_CAN1_REG_BASE + 0x0140)
#define A7DA_CANBUS1_TX_BUF18_IDE	(_CAN1_REG_BASE + 0x0144)
#define A7DA_CANBUS1_TX_BUF18_DH	(_CAN1_REG_BASE + 0x0148)
#define A7DA_CANBUS1_TX_BUF18_DL	(_CAN1_REG_BASE + 0x014C)
#define A7DA_CANBUS1_TX_BUF19_CTRL	(_CAN1_REG_BASE + 0x0150)
#define A7DA_CANBUS1_TX_BUF19_IDE	(_CAN1_REG_BASE + 0x0154)
#define A7DA_CANBUS1_TX_BUF19_DH	(_CAN1_REG_BASE + 0x0158)
#define A7DA_CANBUS1_TX_BUF19_DL	(_CAN1_REG_BASE + 0x015C)
#define A7DA_CANBUS1_TX_BUF20_CTRL	(_CAN1_REG_BASE + 0x0160)
#define A7DA_CANBUS1_TX_BUF20_IDE	(_CAN1_REG_BASE + 0x0164)
#define A7DA_CANBUS1_TX_BUF20_DH	(_CAN1_REG_BASE + 0x0168)
#define A7DA_CANBUS1_TX_BUF20_DL	(_CAN1_REG_BASE + 0x016C)
#define A7DA_CANBUS1_TX_BUF21_CTRL	(_CAN1_REG_BASE + 0x0170)
#define A7DA_CANBUS1_TX_BUF21_IDE	(_CAN1_REG_BASE + 0x0174)
#define A7DA_CANBUS1_TX_BUF21_DH	(_CAN1_REG_BASE + 0x0178)
#define A7DA_CANBUS1_TX_BUF21_DL	(_CAN1_REG_BASE + 0x017C)
#define A7DA_CANBUS1_TX_BUF22_CTRL	(_CAN1_REG_BASE + 0x0180)
#define A7DA_CANBUS1_TX_BUF22_IDE	(_CAN1_REG_BASE + 0x0184)
#define A7DA_CANBUS1_TX_BUF22_DH	(_CAN1_REG_BASE + 0x0188)
#define A7DA_CANBUS1_TX_BUF22_DL	(_CAN1_REG_BASE + 0x018C)
#define A7DA_CANBUS1_TX_BUF23_CTRL	(_CAN1_REG_BASE + 0x0190)
#define A7DA_CANBUS1_TX_BUF23_IDE	(_CAN1_REG_BASE + 0x0194)
#define A7DA_CANBUS1_TX_BUF23_DH	(_CAN1_REG_BASE + 0x0198)
#define A7DA_CANBUS1_TX_BUF23_DL	(_CAN1_REG_BASE + 0x019C)
#define A7DA_CANBUS1_TX_BUF24_CTRL	(_CAN1_REG_BASE + 0x01A0)
#define A7DA_CANBUS1_TX_BUF24_IDE	(_CAN1_REG_BASE + 0x01A4)
#define A7DA_CANBUS1_TX_BUF24_DH	(_CAN1_REG_BASE + 0x01A8)
#define A7DA_CANBUS1_TX_BUF24_DL	(_CAN1_REG_BASE + 0x01AC)
#define A7DA_CANBUS1_TX_BUF25_CTRL	(_CAN1_REG_BASE + 0x01B0)
#define A7DA_CANBUS1_TX_BUF25_IDE	(_CAN1_REG_BASE + 0x01B4)
#define A7DA_CANBUS1_TX_BUF25_DH	(_CAN1_REG_BASE + 0x01B8)
#define A7DA_CANBUS1_TX_BUF25_DL	(_CAN1_REG_BASE + 0x01BC)
#define A7DA_CANBUS1_TX_BUF26_CTRL	(_CAN1_REG_BASE + 0x01C0)
#define A7DA_CANBUS1_TX_BUF26_IDE	(_CAN1_REG_BASE + 0x01C4)
#define A7DA_CANBUS1_TX_BUF26_DH	(_CAN1_REG_BASE + 0x01C8)
#define A7DA_CANBUS1_TX_BUF26_DL	(_CAN1_REG_BASE + 0x01CC)
#define A7DA_CANBUS1_TX_BUF27_CTRL	(_CAN1_REG_BASE + 0x01D0)
#define A7DA_CANBUS1_TX_BUF27_IDE	(_CAN1_REG_BASE + 0x01D4)
#define A7DA_CANBUS1_TX_BUF27_DH	(_CAN1_REG_BASE + 0x01D8)
#define A7DA_CANBUS1_TX_BUF27_DL	(_CAN1_REG_BASE + 0x01DC)
#define A7DA_CANBUS1_TX_BUF28_CTRL	(_CAN1_REG_BASE + 0x01E0)
#define A7DA_CANBUS1_TX_BUF28_IDE	(_CAN1_REG_BASE + 0x01E4)
#define A7DA_CANBUS1_TX_BUF28_DH	(_CAN1_REG_BASE + 0x01E8)
#define A7DA_CANBUS1_TX_BUF28_DL	(_CAN1_REG_BASE + 0x01EC)
#define A7DA_CANBUS1_TX_BUF29_CTRL	(_CAN1_REG_BASE + 0x01F0)
#define A7DA_CANBUS1_TX_BUF29_IDE	(_CAN1_REG_BASE + 0x01F4)
#define A7DA_CANBUS1_TX_BUF29_DH	(_CAN1_REG_BASE + 0x01F8)
#define A7DA_CANBUS1_TX_BUF29_DL	(_CAN1_REG_BASE + 0x01FC)
#define A7DA_CANBUS1_TX_BUF30_CTRL	(_CAN1_REG_BASE + 0x0200)
#define A7DA_CANBUS1_TX_BUF30_IDE	(_CAN1_REG_BASE + 0x0204)
#define A7DA_CANBUS1_TX_BUF30_DH	(_CAN1_REG_BASE + 0x0208)
#define A7DA_CANBUS1_TX_BUF30_DL	(_CAN1_REG_BASE + 0x020C)
#define A7DA_CANBUS1_TX_BUF31_CTRL	(_CAN1_REG_BASE + 0x0210)
#define A7DA_CANBUS1_TX_BUF31_IDE	(_CAN1_REG_BASE + 0x0214)
#define A7DA_CANBUS1_TX_BUF31_DH	(_CAN1_REG_BASE + 0x0218)
#define A7DA_CANBUS1_TX_BUF31_DL	(_CAN1_REG_BASE + 0x021C)
#define A7DA_CANBUS1_RX_BUF0_CTRL	(_CAN1_REG_BASE + 0x0220)
#define A7DA_CANBUS1_RX_BUF0_IDE	(_CAN1_REG_BASE + 0x0224)
#define A7DA_CANBUS1_RX_BUF0_DH		(_CAN1_REG_BASE + 0x0228)
#define A7DA_CANBUS1_RX_BUF0_DL		(_CAN1_REG_BASE + 0x022C)
#define A7DA_CANBUS1_RX_BUF0_AMR	(_CAN1_REG_BASE + 0x0230)
#define A7DA_CANBUS1_RX_BUF0_ACR	(_CAN1_REG_BASE + 0x0234)
#define A7DA_CANBUS1_RX_BUF0_AMR_DATA	(_CAN1_REG_BASE + 0x0238)
#define A7DA_CANBUS1_RX_BUF0_ACR_DATA	(_CAN1_REG_BASE + 0x023C)
#define A7DA_CANBUS1_RX_BUF1_CTRL	(_CAN1_REG_BASE + 0x0240)
#define A7DA_CANBUS1_RX_BUF1_IDE	(_CAN1_REG_BASE + 0x0244)
#define A7DA_CANBUS1_RX_BUF1_DH		(_CAN1_REG_BASE + 0x0248)
#define A7DA_CANBUS1_RX_BUF1_DL		(_CAN1_REG_BASE + 0x024C)
#define A7DA_CANBUS1_RX_BUF1_AMR	(_CAN1_REG_BASE + 0x0250)
#define A7DA_CANBUS1_RX_BUF1_ACR	(_CAN1_REG_BASE + 0x0254)
#define A7DA_CANBUS1_RX_BUF1_AMR_DATA	(_CAN1_REG_BASE + 0x0258)
#define A7DA_CANBUS1_RX_BUF1_ACR_DATA	(_CAN1_REG_BASE + 0x025C)
#define A7DA_CANBUS1_RX_BUF2_CTRL	(_CAN1_REG_BASE + 0x0260)
#define A7DA_CANBUS1_RX_BUF2_IDE	(_CAN1_REG_BASE + 0x0264)
#define A7DA_CANBUS1_RX_BUF2_DH		(_CAN1_REG_BASE + 0x0268)
#define A7DA_CANBUS1_RX_BUF2_DL		(_CAN1_REG_BASE + 0x026C)
#define A7DA_CANBUS1_RX_BUF2_AMR	(_CAN1_REG_BASE + 0x0270)
#define A7DA_CANBUS1_RX_BUF2_ACR	(_CAN1_REG_BASE + 0x0274)
#define A7DA_CANBUS1_RX_BUF2_AMR_DATA	(_CAN1_REG_BASE + 0x0278)
#define A7DA_CANBUS1_RX_BUF2_ACR_DATA	(_CAN1_REG_BASE + 0x027C)
#define A7DA_CANBUS1_RX_BUF3_CTRL	(_CAN1_REG_BASE + 0x0280)
#define A7DA_CANBUS1_RX_BUF3_IDE	(_CAN1_REG_BASE + 0x0284)
#define A7DA_CANBUS1_RX_BUF3_DH		(_CAN1_REG_BASE + 0x0288)
#define A7DA_CANBUS1_RX_BUF3_DL		(_CAN1_REG_BASE + 0x028C)
#define A7DA_CANBUS1_RX_BUF3_AMR	(_CAN1_REG_BASE + 0x0290)
#define A7DA_CANBUS1_RX_BUF3_ACR	(_CAN1_REG_BASE + 0x0294)
#define A7DA_CANBUS1_RX_BUF3_AMR_DATA	(_CAN1_REG_BASE + 0x0298)
#define A7DA_CANBUS1_RX_BUF3_ACR_DATA	(_CAN1_REG_BASE + 0x029C)
#define A7DA_CANBUS1_RX_BUF4_CTRL	(_CAN1_REG_BASE + 0x02A0)
#define A7DA_CANBUS1_RX_BUF4_IDE	(_CAN1_REG_BASE + 0x02A4)
#define A7DA_CANBUS1_RX_BUF4_DH		(_CAN1_REG_BASE + 0x02A8)
#define A7DA_CANBUS1_RX_BUF4_DL		(_CAN1_REG_BASE + 0x02AC)
#define A7DA_CANBUS1_RX_BUF4_AMR	(_CAN1_REG_BASE + 0x02B0)
#define A7DA_CANBUS1_RX_BUF4_ACR	(_CAN1_REG_BASE + 0x02B4)
#define A7DA_CANBUS1_RX_BUF4_AMR_DATA	(_CAN1_REG_BASE + 0x02B8)
#define A7DA_CANBUS1_RX_BUF4_ACR_DATA	(_CAN1_REG_BASE + 0x02BC)
#define A7DA_CANBUS1_RX_BUF5_CTRL	(_CAN1_REG_BASE + 0x02C0)
#define A7DA_CANBUS1_RX_BUF5_IDE	(_CAN1_REG_BASE + 0x02C4)
#define A7DA_CANBUS1_RX_BUF5_DH		(_CAN1_REG_BASE + 0x02C8)
#define A7DA_CANBUS1_RX_BUF5_DL		(_CAN1_REG_BASE + 0x02CC)
#define A7DA_CANBUS1_RX_BUF5_AMR	(_CAN1_REG_BASE + 0x02D0)
#define A7DA_CANBUS1_RX_BUF5_ACR	(_CAN1_REG_BASE + 0x02D4)
#define A7DA_CANBUS1_RX_BUF5_AMR_DATA	(_CAN1_REG_BASE + 0x02D8)
#define A7DA_CANBUS1_RX_BUF5_ACR_DATA	(_CAN1_REG_BASE + 0x02DC)
#define A7DA_CANBUS1_RX_BUF6_CTRL	(_CAN1_REG_BASE + 0x02E0)
#define A7DA_CANBUS1_RX_BUF6_IDE	(_CAN1_REG_BASE + 0x02E4)
#define A7DA_CANBUS1_RX_BUF6_DH		(_CAN1_REG_BASE + 0x02E8)
#define A7DA_CANBUS1_RX_BUF6_DL		(_CAN1_REG_BASE + 0x02EC)
#define A7DA_CANBUS1_RX_BUF6_AMR	(_CAN1_REG_BASE + 0x02F0)
#define A7DA_CANBUS1_RX_BUF6_ACR	(_CAN1_REG_BASE + 0x02F4)
#define A7DA_CANBUS1_RX_BUF6_AMR_DATA	(_CAN1_REG_BASE + 0x02F8)
#define A7DA_CANBUS1_RX_BUF6_ACR_DATA	(_CAN1_REG_BASE + 0x02FC)
#define A7DA_CANBUS1_RX_BUF7_CTRL	(_CAN1_REG_BASE + 0x0300)
#define A7DA_CANBUS1_RX_BUF7_IDE	(_CAN1_REG_BASE + 0x0304)
#define A7DA_CANBUS1_RX_BUF7_DH		(_CAN1_REG_BASE + 0x0308)
#define A7DA_CANBUS1_RX_BUF7_DL		(_CAN1_REG_BASE + 0x030C)
#define A7DA_CANBUS1_RX_BUF7_AMR	(_CAN1_REG_BASE + 0x0310)
#define A7DA_CANBUS1_RX_BUF7_ACR	(_CAN1_REG_BASE + 0x0314)
#define A7DA_CANBUS1_RX_BUF7_AMR_DATA	(_CAN1_REG_BASE + 0x0318)
#define A7DA_CANBUS1_RX_BUF7_ACR_DATA	(_CAN1_REG_BASE + 0x031C)
#define A7DA_CANBUS1_RX_BUF8_CTRL	(_CAN1_REG_BASE + 0x0320)
#define A7DA_CANBUS1_RX_BUF8_IDE	(_CAN1_REG_BASE + 0x0324)
#define A7DA_CANBUS1_RX_BUF8_DH		(_CAN1_REG_BASE + 0x0328)
#define A7DA_CANBUS1_RX_BUF8_DL		(_CAN1_REG_BASE + 0x032C)
#define A7DA_CANBUS1_RX_BUF8_AMR	(_CAN1_REG_BASE + 0x0330)
#define A7DA_CANBUS1_RX_BUF8_ACR	(_CAN1_REG_BASE + 0x0334)
#define A7DA_CANBUS1_RX_BUF8_AMR_DATA	(_CAN1_REG_BASE + 0x0338)
#define A7DA_CANBUS1_RX_BUF8_ACR_DATA	(_CAN1_REG_BASE + 0x033C)
#define A7DA_CANBUS1_RX_BUF9_CTRL	(_CAN1_REG_BASE + 0x0340)
#define A7DA_CANBUS1_RX_BUF9_IDE	(_CAN1_REG_BASE + 0x0344)
#define A7DA_CANBUS1_RX_BUF9_DH		(_CAN1_REG_BASE + 0x0348)
#define A7DA_CANBUS1_RX_BUF9_DL		(_CAN1_REG_BASE + 0x034C)
#define A7DA_CANBUS1_RX_BUF9_AMR	(_CAN1_REG_BASE + 0x0350)
#define A7DA_CANBUS1_RX_BUF9_ACR	(_CAN1_REG_BASE + 0x0354)
#define A7DA_CANBUS1_RX_BUF9_AMR_DATA	(_CAN1_REG_BASE + 0x0358)
#define A7DA_CANBUS1_RX_BUF9_ACR_DATA	(_CAN1_REG_BASE + 0x035C)
#define A7DA_CANBUS1_RX_BUF10_CTRL	(_CAN1_REG_BASE + 0x0360)
#define A7DA_CANBUS1_RX_BUF10_IDE	(_CAN1_REG_BASE + 0x0364)
#define A7DA_CANBUS1_RX_BUF10_DH	(_CAN1_REG_BASE + 0x0368)
#define A7DA_CANBUS1_RX_BUF10_DL	(_CAN1_REG_BASE + 0x036C)
#define A7DA_CANBUS1_RX_BUF10_AMR	(_CAN1_REG_BASE + 0x0370)
#define A7DA_CANBUS1_RX_BUF10_ACR	(_CAN1_REG_BASE + 0x0374)
#define A7DA_CANBUS1_RX_BUF10_AMR_DATA	(_CAN1_REG_BASE + 0x0378)
#define A7DA_CANBUS1_RX_BUF10_ACR_DATA	(_CAN1_REG_BASE + 0x037C)
#define A7DA_CANBUS1_RX_BUF11_CTRL	(_CAN1_REG_BASE + 0x0380)
#define A7DA_CANBUS1_RX_BUF11_IDE	(_CAN1_REG_BASE + 0x0384)
#define A7DA_CANBUS1_RX_BUF11_DH	(_CAN1_REG_BASE + 0x0388)
#define A7DA_CANBUS1_RX_BUF11_DL	(_CAN1_REG_BASE + 0x038C)
#define A7DA_CANBUS1_RX_BUF11_AMR	(_CAN1_REG_BASE + 0x0390)
#define A7DA_CANBUS1_RX_BUF11_ACR	(_CAN1_REG_BASE + 0x0394)
#define A7DA_CANBUS1_RX_BUF11_AMR_DATA	(_CAN1_REG_BASE + 0x0398)
#define A7DA_CANBUS1_RX_BUF11_ACR_DATA	(_CAN1_REG_BASE + 0x039C)
#define A7DA_CANBUS1_RX_BUF12_CTRL	(_CAN1_REG_BASE + 0x03A0)
#define A7DA_CANBUS1_RX_BUF12_IDE	(_CAN1_REG_BASE + 0x03A4)
#define A7DA_CANBUS1_RX_BUF12_DH	(_CAN1_REG_BASE + 0x03A8)
#define A7DA_CANBUS1_RX_BUF12_DL	(_CAN1_REG_BASE + 0x03AC)
#define A7DA_CANBUS1_RX_BUF12_AMR	(_CAN1_REG_BASE + 0x03B0)
#define A7DA_CANBUS1_RX_BUF12_ACR	(_CAN1_REG_BASE + 0x03B4)
#define A7DA_CANBUS1_RX_BUF12_AMR_DATA	(_CAN1_REG_BASE + 0x03B8)
#define A7DA_CANBUS1_RX_BUF12_ACR_DATA	(_CAN1_REG_BASE + 0x03BC)
#define A7DA_CANBUS1_RX_BUF13_CTRL	(_CAN1_REG_BASE + 0x03C0)
#define A7DA_CANBUS1_RX_BUF13_IDE	(_CAN1_REG_BASE + 0x03C4)
#define A7DA_CANBUS1_RX_BUF13_DH	(_CAN1_REG_BASE + 0x03C8)
#define A7DA_CANBUS1_RX_BUF13_DL	(_CAN1_REG_BASE + 0x03CC)
#define A7DA_CANBUS1_RX_BUF13_AMR	(_CAN1_REG_BASE + 0x03D0)
#define A7DA_CANBUS1_RX_BUF13_ACR	(_CAN1_REG_BASE + 0x03D4)
#define A7DA_CANBUS1_RX_BUF13_AMR_DATA	(_CAN1_REG_BASE + 0x03D8)
#define A7DA_CANBUS1_RX_BUF13_ACR_DATA	(_CAN1_REG_BASE + 0x03DC)
#define A7DA_CANBUS1_RX_BUF14_CTRL	(_CAN1_REG_BASE + 0x03E0)
#define A7DA_CANBUS1_RX_BUF14_IDE	(_CAN1_REG_BASE + 0x03E4)
#define A7DA_CANBUS1_RX_BUF14_DH	(_CAN1_REG_BASE + 0x03E8)
#define A7DA_CANBUS1_RX_BUF14_DL	(_CAN1_REG_BASE + 0x03EC)
#define A7DA_CANBUS1_RX_BUF14_AMR	(_CAN1_REG_BASE + 0x03F0)
#define A7DA_CANBUS1_RX_BUF14_ACR	(_CAN1_REG_BASE + 0x03F4)
#define A7DA_CANBUS1_RX_BUF14_AMR_DATA	(_CAN1_REG_BASE + 0x03F8)
#define A7DA_CANBUS1_RX_BUF14_ACR_DATA	(_CAN1_REG_BASE + 0x03FC)
#define A7DA_CANBUS1_RX_BUF15_CTRL	(_CAN1_REG_BASE + 0x0400)
#define A7DA_CANBUS1_RX_BUF15_IDE	(_CAN1_REG_BASE + 0x0404)
#define A7DA_CANBUS1_RX_BUF15_DH	(_CAN1_REG_BASE + 0x0408)
#define A7DA_CANBUS1_RX_BUF15_DL	(_CAN1_REG_BASE + 0x040C)
#define A7DA_CANBUS1_RX_BUF15_AMR	(_CAN1_REG_BASE + 0x0410)
#define A7DA_CANBUS1_RX_BUF15_ACR	(_CAN1_REG_BASE + 0x0414)
#define A7DA_CANBUS1_RX_BUF15_AMR_DATA	(_CAN1_REG_BASE + 0x0418)
#define A7DA_CANBUS1_RX_BUF15_ACR_DATA	(_CAN1_REG_BASE + 0x041C)
#define A7DA_CANBUS1_RX_BUF16_CTRL	(_CAN1_REG_BASE + 0x0420)
#define A7DA_CANBUS1_RX_BUF16_IDE	(_CAN1_REG_BASE + 0x0424)
#define A7DA_CANBUS1_RX_BUF16_DH	(_CAN1_REG_BASE + 0x0428)
#define A7DA_CANBUS1_RX_BUF16_DL	(_CAN1_REG_BASE + 0x042C)
#define A7DA_CANBUS1_RX_BUF16_AMR	(_CAN1_REG_BASE + 0x0430)
#define A7DA_CANBUS1_RX_BUF16_ACR	(_CAN1_REG_BASE + 0x0434)
#define A7DA_CANBUS1_RX_BUF16_AMR_DATA	(_CAN1_REG_BASE + 0x0438)
#define A7DA_CANBUS1_RX_BUF16_ACR_DATA	(_CAN1_REG_BASE + 0x043C)
#define A7DA_CANBUS1_RX_BUF17_CTRL	(_CAN1_REG_BASE + 0x0440)
#define A7DA_CANBUS1_RX_BUF17_IDE	(_CAN1_REG_BASE + 0x0444)
#define A7DA_CANBUS1_RX_BUF17_DH	(_CAN1_REG_BASE + 0x0448)
#define A7DA_CANBUS1_RX_BUF17_DL	(_CAN1_REG_BASE + 0x044C)
#define A7DA_CANBUS1_RX_BUF17_AMR	(_CAN1_REG_BASE + 0x0450)
#define A7DA_CANBUS1_RX_BUF17_ACR	(_CAN1_REG_BASE + 0x0454)
#define A7DA_CANBUS1_RX_BUF17_AMR_DATA	(_CAN1_REG_BASE + 0x0458)
#define A7DA_CANBUS1_RX_BUF17_ACR_DATA	(_CAN1_REG_BASE + 0x045C)
#define A7DA_CANBUS1_RX_BUF18_CTRL	(_CAN1_REG_BASE + 0x0460)
#define A7DA_CANBUS1_RX_BUF18_IDE	(_CAN1_REG_BASE + 0x0464)
#define A7DA_CANBUS1_RX_BUF18_DH	(_CAN1_REG_BASE + 0x0468)
#define A7DA_CANBUS1_RX_BUF18_DL	(_CAN1_REG_BASE + 0x046C)
#define A7DA_CANBUS1_RX_BUF18_AMR	(_CAN1_REG_BASE + 0x0470)
#define A7DA_CANBUS1_RX_BUF18_ACR	(_CAN1_REG_BASE + 0x0474)
#define A7DA_CANBUS1_RX_BUF18_AMR_DATA	(_CAN1_REG_BASE + 0x0478)
#define A7DA_CANBUS1_RX_BUF18_ACR_DATA	(_CAN1_REG_BASE + 0x047C)
#define A7DA_CANBUS1_RX_BUF19_CTRL	(_CAN1_REG_BASE + 0x0480)
#define A7DA_CANBUS1_RX_BUF19_IDE	(_CAN1_REG_BASE + 0x0484)
#define A7DA_CANBUS1_RX_BUF19_DH	(_CAN1_REG_BASE + 0x0488)
#define A7DA_CANBUS1_RX_BUF19_DL	(_CAN1_REG_BASE + 0x048C)
#define A7DA_CANBUS1_RX_BUF19_AMR	(_CAN1_REG_BASE + 0x0490)
#define A7DA_CANBUS1_RX_BUF19_ACR	(_CAN1_REG_BASE + 0x0494)
#define A7DA_CANBUS1_RX_BUF19_AMR_DATA	(_CAN1_REG_BASE + 0x0498)
#define A7DA_CANBUS1_RX_BUF19_ACR_DATA	(_CAN1_REG_BASE + 0x049C)
#define A7DA_CANBUS1_RX_BUF20_CTRL	(_CAN1_REG_BASE + 0x04A0)
#define A7DA_CANBUS1_RX_BUF20_IDE	(_CAN1_REG_BASE + 0x04A4)
#define A7DA_CANBUS1_RX_BUF20_DH	(_CAN1_REG_BASE + 0x04A8)
#define A7DA_CANBUS1_RX_BUF20_DL	(_CAN1_REG_BASE + 0x04AC)
#define A7DA_CANBUS1_RX_BUF20_AMR	(_CAN1_REG_BASE + 0x04B0)
#define A7DA_CANBUS1_RX_BUF20_ACR	(_CAN1_REG_BASE + 0x04B4)
#define A7DA_CANBUS1_RX_BUF20_AMR_DATA	(_CAN1_REG_BASE + 0x04B8)
#define A7DA_CANBUS1_RX_BUF20_ACR_DATA	(_CAN1_REG_BASE + 0x04BC)
#define A7DA_CANBUS1_RX_BUF21_CTRL	(_CAN1_REG_BASE + 0x04C0)
#define A7DA_CANBUS1_RX_BUF21_IDE	(_CAN1_REG_BASE + 0x04C4)
#define A7DA_CANBUS1_RX_BUF21_DH	(_CAN1_REG_BASE + 0x04C8)
#define A7DA_CANBUS1_RX_BUF21_DL	(_CAN1_REG_BASE + 0x04CC)
#define A7DA_CANBUS1_RX_BUF21_AMR	(_CAN1_REG_BASE + 0x04D0)
#define A7DA_CANBUS1_RX_BUF21_ACR	(_CAN1_REG_BASE + 0x04D4)
#define A7DA_CANBUS1_RX_BUF21_AMR_DATA	(_CAN1_REG_BASE + 0x04D8)
#define A7DA_CANBUS1_RX_BUF21_ACR_DATA	(_CAN1_REG_BASE + 0x04DC)
#define A7DA_CANBUS1_RX_BUF22_CTRL	(_CAN1_REG_BASE + 0x04E0)
#define A7DA_CANBUS1_RX_BUF22_IDE	(_CAN1_REG_BASE + 0x04E4)
#define A7DA_CANBUS1_RX_BUF22_DH	(_CAN1_REG_BASE + 0x04E8)
#define A7DA_CANBUS1_RX_BUF22_DL	(_CAN1_REG_BASE + 0x04EC)
#define A7DA_CANBUS1_RX_BUF22_AMR	(_CAN1_REG_BASE + 0x04F0)
#define A7DA_CANBUS1_RX_BUF22_ACR	(_CAN1_REG_BASE + 0x04F4)
#define A7DA_CANBUS1_RX_BUF22_AMR_DATA	(_CAN1_REG_BASE + 0x04F8)
#define A7DA_CANBUS1_RX_BUF22_ACR_DATA	(_CAN1_REG_BASE + 0x04FC)
#define A7DA_CANBUS1_RX_BUF23_CTRL	(_CAN1_REG_BASE + 0x0500)
#define A7DA_CANBUS1_RX_BUF23_IDE	(_CAN1_REG_BASE + 0x0504)
#define A7DA_CANBUS1_RX_BUF23_DH	(_CAN1_REG_BASE + 0x0508)
#define A7DA_CANBUS1_RX_BUF23_DL	(_CAN1_REG_BASE + 0x050C)
#define A7DA_CANBUS1_RX_BUF23_AMR	(_CAN1_REG_BASE + 0x0510)
#define A7DA_CANBUS1_RX_BUF23_ACR	(_CAN1_REG_BASE + 0x0514)
#define A7DA_CANBUS1_RX_BUF23_AMR_DATA	(_CAN1_REG_BASE + 0x0518)
#define A7DA_CANBUS1_RX_BUF23_ACR_DATA	(_CAN1_REG_BASE + 0x051C)
#define A7DA_CANBUS1_RX_BUF24_CTRL	(_CAN1_REG_BASE + 0x0520)
#define A7DA_CANBUS1_RX_BUF24_IDE	(_CAN1_REG_BASE + 0x0524)
#define A7DA_CANBUS1_RX_BUF24_DH	(_CAN1_REG_BASE + 0x0528)
#define A7DA_CANBUS1_RX_BUF24_DL	(_CAN1_REG_BASE + 0x052C)
#define A7DA_CANBUS1_RX_BUF24_AMR	(_CAN1_REG_BASE + 0x0530)
#define A7DA_CANBUS1_RX_BUF24_ACR	(_CAN1_REG_BASE + 0x0534)
#define A7DA_CANBUS1_RX_BUF24_AMR_DATA	(_CAN1_REG_BASE + 0x0538)
#define A7DA_CANBUS1_RX_BUF24_ACR_DATA	(_CAN1_REG_BASE + 0x053C)
#define A7DA_CANBUS1_RX_BUF25_CTRL	(_CAN1_REG_BASE + 0x0540)
#define A7DA_CANBUS1_RX_BUF25_IDE	(_CAN1_REG_BASE + 0x0544)
#define A7DA_CANBUS1_RX_BUF25_DH	(_CAN1_REG_BASE + 0x0548)
#define A7DA_CANBUS1_RX_BUF25_DL	(_CAN1_REG_BASE + 0x054C)
#define A7DA_CANBUS1_RX_BUF25_AMR	(_CAN1_REG_BASE + 0x0550)
#define A7DA_CANBUS1_RX_BUF25_ACR	(_CAN1_REG_BASE + 0x0554)
#define A7DA_CANBUS1_RX_BUF25_AMR_DATA	(_CAN1_REG_BASE + 0x0558)
#define A7DA_CANBUS1_RX_BUF25_ACR_DATA	(_CAN1_REG_BASE + 0x055C)
#define A7DA_CANBUS1_RX_BUF26_CTRL	(_CAN1_REG_BASE + 0x0560)
#define A7DA_CANBUS1_RX_BUF26_IDE	(_CAN1_REG_BASE + 0x0564)
#define A7DA_CANBUS1_RX_BUF26_DH	(_CAN1_REG_BASE + 0x0568)
#define A7DA_CANBUS1_RX_BUF26_DL	(_CAN1_REG_BASE + 0x056C)
#define A7DA_CANBUS1_RX_BUF26_AMR	(_CAN1_REG_BASE + 0x0570)
#define A7DA_CANBUS1_RX_BUF26_ACR	(_CAN1_REG_BASE + 0x0574)
#define A7DA_CANBUS1_RX_BUF26_AMR_DATA	(_CAN1_REG_BASE + 0x0578)
#define A7DA_CANBUS1_RX_BUF26_ACR_DATA	(_CAN1_REG_BASE + 0x057C)
#define A7DA_CANBUS1_RX_BUF27_CTRL	(_CAN1_REG_BASE + 0x0580)
#define A7DA_CANBUS1_RX_BUF27_IDE	(_CAN1_REG_BASE + 0x0584)
#define A7DA_CANBUS1_RX_BUF27_DH	(_CAN1_REG_BASE + 0x0588)
#define A7DA_CANBUS1_RX_BUF27_DL	(_CAN1_REG_BASE + 0x058C)
#define A7DA_CANBUS1_RX_BUF27_AMR	(_CAN1_REG_BASE + 0x0590)
#define A7DA_CANBUS1_RX_BUF27_ACR	(_CAN1_REG_BASE + 0x0594)
#define A7DA_CANBUS1_RX_BUF27_AMR_DATA	(_CAN1_REG_BASE + 0x0598)
#define A7DA_CANBUS1_RX_BUF27_ACR_DATA	(_CAN1_REG_BASE + 0x059C)
#define A7DA_CANBUS1_RX_BUF28_CTRL	(_CAN1_REG_BASE + 0x05A0)
#define A7DA_CANBUS1_RX_BUF28_IDE	(_CAN1_REG_BASE + 0x05A4)
#define A7DA_CANBUS1_RX_BUF28_DH	(_CAN1_REG_BASE + 0x05A8)
#define A7DA_CANBUS1_RX_BUF28_DL	(_CAN1_REG_BASE + 0x05AC)
#define A7DA_CANBUS1_RX_BUF28_AMR	(_CAN1_REG_BASE + 0x05B0)
#define A7DA_CANBUS1_RX_BUF28_ACR	(_CAN1_REG_BASE + 0x05B4)
#define A7DA_CANBUS1_RX_BUF28_AMR_DATA	(_CAN1_REG_BASE + 0x05B8)
#define A7DA_CANBUS1_RX_BUF28_ACR_DATA	(_CAN1_REG_BASE + 0x05BC)
#define A7DA_CANBUS1_RX_BUF29_CTRL	(_CAN1_REG_BASE + 0x05C0)
#define A7DA_CANBUS1_RX_BUF29_IDE	(_CAN1_REG_BASE + 0x05C4)
#define A7DA_CANBUS1_RX_BUF29_DH	(_CAN1_REG_BASE + 0x05C8)
#define A7DA_CANBUS1_RX_BUF29_DL	(_CAN1_REG_BASE + 0x05CC)
#define A7DA_CANBUS1_RX_BUF29_AMR	(_CAN1_REG_BASE + 0x05D0)
#define A7DA_CANBUS1_RX_BUF29_ACR	(_CAN1_REG_BASE + 0x05D4)
#define A7DA_CANBUS1_RX_BUF29_AMR_DATA	(_CAN1_REG_BASE + 0x05D8)
#define A7DA_CANBUS1_RX_BUF29_ACR_DATA	(_CAN1_REG_BASE + 0x05DC)
#define A7DA_CANBUS1_RX_BUF30_CTRL	(_CAN1_REG_BASE + 0x05E0)
#define A7DA_CANBUS1_RX_BUF30_IDE	(_CAN1_REG_BASE + 0x05E4)
#define A7DA_CANBUS1_RX_BUF30_DH	(_CAN1_REG_BASE + 0x05E8)
#define A7DA_CANBUS1_RX_BUF30_DL	(_CAN1_REG_BASE + 0x05EC)
#define A7DA_CANBUS1_RX_BUF30_AMR	(_CAN1_REG_BASE + 0x05F0)
#define A7DA_CANBUS1_RX_BUF30_ACR	(_CAN1_REG_BASE + 0x05F4)
#define A7DA_CANBUS1_RX_BUF30_AMR_DATA	(_CAN1_REG_BASE + 0x05F8)
#define A7DA_CANBUS1_RX_BUF30_ACR_DATA	(_CAN1_REG_BASE + 0x05FC)
#define A7DA_CANBUS1_RX_BUF31_CTRL	(_CAN1_REG_BASE + 0x0600)
#define A7DA_CANBUS1_RX_BUF31_IDE	(_CAN1_REG_BASE + 0x0604)
#define A7DA_CANBUS1_RX_BUF31_DH	(_CAN1_REG_BASE + 0x0608)
#define A7DA_CANBUS1_RX_BUF31_DL	(_CAN1_REG_BASE + 0x060C)
#define A7DA_CANBUS1_RX_BUF31_AMR	(_CAN1_REG_BASE + 0x0610)
#define A7DA_CANBUS1_RX_BUF31_ACR	(_CAN1_REG_BASE + 0x0614)
#define A7DA_CANBUS1_RX_BUF31_AMR_DATA	(_CAN1_REG_BASE + 0x0618)
#define A7DA_CANBUS1_RX_BUF31_ACR_DATA	(_CAN1_REG_BASE + 0x061C)

#define A7DA_CANBUS_RX_CTRL_MSGAV	(0x1 << 0)
#define A7DA_CANBUS_RX_CTRL_DLC_MASK	(0xf)
#define A7DA_CANBUS_RX_CTRL_DLC_OFFSET	(16)
#define A7DA_CANBUS_RX_CTRL_IDE		(0x1 << 20)

#endif /* __ATLAS7_CAN_H__ */
